MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Typedefs | Functions
ApeLoader.hxx File Reference
`#include "check.h"`
`#include <functional>`
Include dependency graph for ApeLoader.hxx:

Go to the source code of this file.

## Typedefs
typedef std::function< bool(unsigned long flags, const char *key, StringView value)> | ApeTagCallback

## Functions
bool | tag_ape_scan (InputStream &is, ApeTagCallback callback)
| Scans the APE tag values from a file. More...

## Typedef Documentation

typedef std::function<bool(unsigned long flags, const char *key, StringView value)> ApeTagCallback

Definition at line 28 of file ApeLoader.hxx.

## Function Documentation

bool tag_ape_scan | ( | InputStream & | is,
|  | ApeTagCallback | callback
| ) |  |

Scans the APE tag values from a file.

Returns
  false if the file could not be opened or if no APE tag is present